var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
import { DragDropContext, DragDropContextConsumer } from 'react-dnd';
import HTML5Backend from 'react-dnd-html5-backend';
var defaultDragDropContext;
function getDefaultDragDropContext(backendFactory) {
    if (!defaultDragDropContext) {
        defaultDragDropContext = DragDropContext(backendFactory);
    }
    return defaultDragDropContext;
}
var withDndContext = function (WrappedComponent, backendFactory) {
    if (backendFactory === void 0) { backendFactory = HTML5Backend; }
    return function (props) {
        return (React.createElement(DragDropContextConsumer, null, function (value) {
            if (value && value.dragDropManager != null) {
                return React.createElement(WrappedComponent, __assign({}, props));
            }
            var Comp = getDefaultDragDropContext(backendFactory)(WrappedComponent);
            return React.createElement(Comp, __assign({}, props));
        }));
    };
};
export default withDndContext;
//# sourceMappingURL=index.js.map